View Issue Details

IDProjectCategoryView StatusLast Update
0016878LazarusIDEpublic2011-12-01 11:26
ReporterChristian BlackburnAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28Product Build 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0016878: Automatically increase build number doesn't increment logically
DescriptionThe increase build number setting doesn't mimic Visual Basic 6. Now I get this isn't VB 6, but hey they did it right and so should Lazarus. Basically, let's say I last compiled 0.25.0.24 and I've gotten enough working right that I'm ready to release it as 0.26.0.0. I'd like to be able to go into the compiler options and ask for 0.26.0.0, but once I compile, I'll wind up with 0.26.0.1. This is because the "Automatically increase build number" doesn't pay any attention to the version of last compiled program.
Additional InformationA simple workaround would be to allow -1 in the build number field if and only if Automatically increase build number is enabled. That way when it adds one to the build number it would compile to 0. However, looking at the current version of compiled application and seeing if it's lower than the version the project settings require would be my preference.
TagsNo tags attached.
Fixed in Revision29282
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0017622 closedMaxim Ganetsky Automatically increase build number not working if Build or Run 

Activities

Vincent Snijders

2010-10-29 10:51

manager   ~0042294

I think the solution is to update the build number after each successful build and not before.

Christian Blackburn

2011-01-31 22:34

reporter   ~0045650

Hi Vincent, you're absolutely right.

Paul Ishenin

2011-02-01 08:29

manager   ~0045660

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-07-09 00:38 Christian Blackburn New Issue
2010-07-09 00:38 Christian Blackburn Widgetset => Win32/Win64
2010-10-29 10:50 Vincent Snijders Project Packages => Lazarus
2010-10-29 10:51 Vincent Snijders LazTarget => 1.0
2010-10-29 10:51 Vincent Snijders Note Added: 0042294
2010-10-29 10:51 Vincent Snijders Status new => acknowledged
2010-10-29 10:51 Vincent Snijders Category - => IDE
2010-10-29 10:51 Vincent Snijders Target Version => 1.0.0
2010-10-29 10:52 Vincent Snijders Relationship added related to 0017622
2011-01-31 22:34 Christian Blackburn Note Added: 0045650
2011-02-01 08:29 Paul Ishenin Fixed in Revision => 29282
2011-02-01 08:29 Paul Ishenin Status acknowledged => resolved
2011-02-01 08:29 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-02-01 08:29 Paul Ishenin Resolution open => fixed
2011-02-01 08:29 Paul Ishenin Assigned To => Paul Ishenin
2011-02-01 08:29 Paul Ishenin Note Added: 0045660
2011-02-01 08:52 Vincent Snijders Tag Attached: merge to 0.9.30
2011-02-01 12:20 Joost van der Sluis Tag Detached: merge to 0.9.30
2011-12-01 11:26 Marc Weustink Status resolved => closed